=== debian/changelog ===
doris (4.06~beta2+dfsg-3) unstable; urgency=low

  * All patches have been refreshed using gbp-pq
  * New patch (0005-compatibility-with-gcc-4.8.x.patch) for fixing
    compatibility issues with gcc-4.8.x
  * Standard version bumped to 3.9.5 (no change)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 09 Mar 2014 20:08:25 +0000

doris (4.06~beta2+dfsg-2) unstable; urgency=low

  * Use canonical URLs in VSC fields 
  * The watch file has been updated
  * Fixed missing call do dh_python2 in debian/rules (also added build
    dependency from python-all)
  * Fixed copyright format URL 
  * Fix unnecessarily versioned dependencies 

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Jun 2013 18:36:35 +0000

doris (4.06~beta2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #696520)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 19 Dec 2012 19:29:21 +0100
