=== debian/control ===
Source: doris
Section: contrib/science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper (>= 9.0.0), csh | c-shell, libfftw3-dev,
               liblapack-dev, libtriangle-dev, libepr-api2-dev,
               python-all
Standards-Version: 3.9.5
Homepage: http://doris.tudelft.nl
Vcs-Git: git://anonscm.debian.org/pkg-grass/doris.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/doris.git

Package: doris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python, python-lxml, libxslt1.1,
         gdal-bin, gawk | mawk, csh | c-shell
Recommends: snaphu, gmt, gv, python-h5py
Suggests: eog, imagemagick
Description: Delft object-oriented radar interferometric software
 DORIS is an Interferometric Synthetic Aperture Radar (InSAR) processor
 developed by the Delft Institute of Earth Observation and Space Systems
 of Delft University of Technology.
 .
 Interferometric products and endproducts such as Digital Elevation
 Models and displacement maps can be generated with this software from
 Single Look Complex data.
 Data from the satellites ERS, ENVISAT (first ENVISAT interferogram,
 DEM, and perspective view, JERS (first JERS interferogram), and
 RADARSAT (first RADARSAT interferogram) can be processed with the
 Doris software.
