=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# @NOTE: tools directly called by doris are:
#           helpdoris
#           plotcpm
#           plotoffsets
#           cpxfiddle
#           envisat_dump_data
#           envisat_dump_header
#           envisat_dump_header2doris.csh
#           tsx_dump_data.py
#           tsx_dump_header2doris.py
#           csk_dump_data.py
#           csk_dump_header2doris.py
#           rs2_dump_data.py
#           rs2_dump_header2doris.py

CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
COMMON_FLAGS = -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
EXTRA_FLAGS = -Wno-deprecated -D__USE_FFTW_LIBRARY__ -D__USE_LAPACK_LIBRARY__ -D__X86PROCESSOR__

DH_OPTIONS=--sourcedirectory=src

%:
	dh $@

override_dh_auto_configure:
	rm -f src/Makefile
	src/configure < /dev/null
	mv Makefile src

override_dh_auto_build:
	dh_auto_build --sourcedirectory=SARtools -- CFLAGS="$(CXXFLAGS) $(COMMON_FLAGS)"
	dh_auto_build --sourcedirectory=ENVISAT_TOOLS -- CFLAGS="$(CFLAGS) $(COMMON_FLAGS)"
	dh_auto_build --sourcedirectory=src -- CFLAGS="$(CXXFLAGS) $(COMMON_FLAGS) $(EXTRA_FLAGS)"

override_dh_auto_install:
	install -D --mode=0755 debian/doris.sh debian/doris/usr/bin/doris

	dh_auto_install --sourcedirectory=SARtools -- INSTALL_DIR=../debian/doris/usr/lib/doris
	install -D --mode=0644 SARtools/README \
		debian/doris/usr/share/doc/doris/README_SARtools.txt

	dh_auto_install --sourcedirectory=ENVISAT_TOOLS -- INSTALL_DIR=../debian/doris/usr/lib/doris
	rm -f debian/doris/usr/lib/doris/*.csh
	install -D --mode=0755 ENVISAT_TOOLS/envisat_dump_header2doris.csh \
		debian/doris/usr/share/doris/bin/envisat_dump_header2doris.csh
	install -D --mode=0644 ENVISAT_TOOLS/README \
		debian/doris/usr/share/doc/doris/README_ENVISAT_TOOLS.txt

	#dh_auto_install --sourcedirectory=src -- INSTALLDIR=../debian/doris/usr/lib/doris
	install -D --mode=0755 src/doris debian/doris/usr/lib/doris
	cp -R bin debian/doris/usr/share/doris
	chmod 0755 debian/doris/usr/share/doris/*
	rm -f debian/doris/usr/share/doris/bin/README*
	install -D --mode=0644 bin/README \
		debian/doris/usr/share/doc/doris/README_bin.txt
	install -D --mode=0644 bin/README_CSK.txt \
		debian/doris/usr/share/doc/doris/README_CSK.txt

	cp -R editor_support debian/doris/usr/share/doris
	chmod 0644 debian/doris/usr/share/doris/editor_support/README

	install -D --mode=0644 debian/overrides debian/doris/usr/share/lintian/overrides/doris
	
	dh_python2

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C SARtools cleaner
	#$(MAKE) -C ENVISAT_TOOLS cleaner
	rm -f ENVISAT_TOOLS/*.o ENVISAT_TOOLS/envisat_dump_header \
	      ENVISAT_TOOLS/envisat_dump_data ENVISAT_TOOLS/envisat_dump_HH \
	      ENVISAT_TOOLS/envisat_dump_VV
	rm -f ENVISAT_TOOLS/envisat_dump_header
	rm -f ENVISAT_TOOLS/envisat_dump_data
	if [ -f src/Makefile ]; then \
		$(MAKE) -C src cleaner;\
		rm -f src/Makefile;\
	fi

# Grab the version before +dfsg
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
get-orig-source:
	uscan --force-download --download-current-version --no-symlink --destdir=.
	rm -rf doris_v$(DEB_UPSTREAM_VERSION).orig
	tar xfz doris_v$(UPSTREAM_VERSION).tar.gz
	mv `find . -type d -name 'doris_v*'` doris_v$(UPSTREAM_VERSION).orig
	rm -rf \$(find doris_v$(UPSTREAM_VERSION).orig -d -name '.viminfo')
	rm -f doris_v$(UPSTREAM_VERSION).orig/src/triangle.*
	rm -f doris_v$(UPSTREAM_VERSION).orig/src/Makefile
	rm -rf doris_v$(UPSTREAM_VERSION).orig/ENVISAT_TOOLS/epr_api-?.?
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                    -f doris_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \
                    doris_v$(UPSTREAM_VERSION).orig
	rm -r doris_v$(UPSTREAM_VERSION).orig

.PHONY: get-orig-source override_dh_auto_configure override_dh_auto_build \
        override_dh_auto_install override_dh_auto_clean
