=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,uversionmangle=s/(\d)[\.\+\-_]?(beta|alpha|dev)/$1~$2/ \
http://doris.tudelft.nl/Doris_download.html \
(?:.*/|.*=|)doris(?:-v|-|\.|_|_v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
# Bart Martens <bartm@debian.org>  Sat, 04 May 2013 09:11:42 +0000
