=== debian/changelog ===
doris (5.0.3~beta+dfsg-19) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.3, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Drop Priority: optional, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * Update dates in d/copyright.
  * Use secure URI in Homepage field.
  * debian/control:
    - Drop unnecessary Break/Replaces headers.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jan 2026 17:37:12 +0000

doris (5.0.3~beta+dfsg-18) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * Update dates in d/copyright.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jan 2025 05:29:21 +0100

doris (5.0.3~beta+dfsg-17) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Enable numpy3 dh helper.
  * Update lintian overrides.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * debian/control:
    - Move common package description to source.
  * debian/rules:
    - Cleanup.
  * New d/clean file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 12:08:24 +0000

doris (5.0.3~beta+dfsg-16) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Drop undefined substitution variables.
  * Update watch file to use tags instead of releases.

  [ Antonio Valentino ]
  * debian/rules:
    - new 0013-Fix-tempaletes-declaration.patch
    - new 0014-Fix-shebang-string-in-helpdoris.patch
  * Update d/lintian-overrides.
  * Update d/copyright.
  * d/lintian-overrides renamed into d/doris.lintian-overrides.
  * debian/doris.lintian-overrides:
    - add override for executable-in-usr-lib.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Dec 2021 18:21:19 +0000

doris (5.0.3~beta+dfsg-15) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * Depend on non-dummpy h5py packages.
  * debian/patches:
    - update 0002-configure.patch for lapack library search path
    - improve 0003-tools-build.patch and 0008-python3.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Sep 2021 10:58:28 +0000

doris (5.0.3~beta+dfsg-14) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.0, no changes.

  [ Antonio Valentino ]
  * debian/control:
    - explicitly set Rules-Requires-Root: no
  * debian/patches:
    - add Forwarded field to all patches
  * Update lintian overrides

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Oct 2020 08:13:08 +0000

doris (5.0.3~beta+dfsg-13) unstable; urgency=medium

  * Team upload.
  * Drop python2-minimal build dependency.
    (closes: #936438)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Aug 2019 09:52:51 +0200

doris (5.0.3~beta+dfsg-12) unstable; urgency=medium

  * debian/test/control:
    - mark test as superficial using Restrictions
  * debian/patches:
    - new 0012-fix-default-params-in-friend-functions.patch
      (compatibiloty with gcc-9)
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Aug 2019 07:31:50 +0000

doris (5.0.3~beta+dfsg-11) unstable; urgency=medium

  * debian/control:
    - add Replaces/Breaks to python3-doris for version << 5.0.3~beta+dfsg-10
      (Closes: #934605)
    - now doris Recommends python3-doris
    - now python3-doris Depends on doris
    - dorp gv and gmt from the list of recommended packages of python3-doris
  * debian/patches:
    - new 0010-Use-sys.executable.patch and 0011-Fix-doris_config.xml-path.patch
  * Install doris_config.xml.
  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 12 Aug 2019 16:55:09 +0000

doris (5.0.3~beta+dfsg-10) experimental; urgency=medium

  * Set compat to 12.
  * Use debhelper-compat instead of debian/compat.
  * debian/rules:
    - use pybuild where appropriate
  * debian/patches:
    - improve and rename python3.patch
    - new 0009-Python-doris-package.patch
  * New python3-doris package containing helper modules written in Python.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 06 Aug 2019 13:17:57 +0000

doris (5.0.3~beta+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Add patch to fix Python 3 support.
  * Redirect STDERR correctly in tests control.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jul 2019 10:42:09 +0200

doris (5.0.3~beta+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Remove package name from lintian overrides.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Switch to Python 3.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 16:22:23 +0200

doris (5.0.3~beta+dfsg-7) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.
  * Update watch file to limit matches to archive path.

  [ Antonio Valentino ]
  * Fix spelling error in cpxfiddle (updated spelling patch).
  * Add basic autopkgtest script.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Feb 2019 15:14:41 +0000

doris (5.0.3~beta+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Drop ancient X-Python-version field.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 13:46:13 +0200

doris (5.0.3~beta+dfsg-5) unstable; urgency=medium

  [ Bas Couwenberg ]
